﻿@model DataBaseFinalProject.ViewModels.CreateExpenseCategoryViewModel

@{
    ViewBag.Title = "Edit expense category";
    Layout = "_Layout";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm("Edit", "ExpenseCategory", FormMethod.Post))
{
    @Html.HiddenFor(model => model.ExpenseCategory.Id)
    
    <div class="form-group">
        <label for="ClientId">Choose user:</label>
        <select id="ClientId" name="ExpenseCategory.UserId" class="form-control">
            <option value="">Choose user</option>
            @foreach (var user in Model.Users)
            {
                var selected = user.Id == Model.ExpenseCategory.UserId ? "selected" : "";
                <option value="@user.Id" selected="@selected">@user.Nickname</option>
            }
        </select>
    </div>
    
    <div class="form-group">
        <label asp-for="ExpenseCategory.Name">Category name:</label>
        <input asp-for="ExpenseCategory.Name" class="form-control" />
        <span asp-validation-for="ExpenseCategory.Name" class="text-danger"></span>
    </div>
    
    <div class="form-group">
        <label asp-for="ExpenseCategory.CreatedAt">CreatedAt:</label>
        <input asp-for="ExpenseCategory.CreatedAt" class="form-control" />
        <span asp-validation-for="ExpenseCategory.CreatedAt" class="text-danger"></span>
    </div>

    <button type="submit" class="btn btn-primary">Save</button>
}